Skip to main content
GET
Reels using Song
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

audio_id
string
required

Audio ID

Example:

"844716519067330"

cursor
string

How you paginate the results. Pass the cursor from the previous response to get the next set of reels.

Example:

"GvYhgPbWtJ...."

Response

Successful response Key Response Fields:

  • data.reels: Object of reels keyed by index (0, 1, ...) — iterate over its values
  • data.reels[0].pk: Unique reel ID
  • data.reels[0].id: Reel ID combined with the author's user ID
  • data.reels[0].code: Reel shortcode (used in the URL as instagram.com/reel/{code})
  • data.reels[0].taken_at: Unix timestamp of when the reel was posted
  • data.reels[0].caption.text: Reel caption text
  • data.reels[0].user.username: Username of the reel creator
  • data.reels[0].user.is_verified: Whether the reel creator is verified
  • data.reels[0].like_count: Number of likes
  • data.reels[0].play_count: Number of plays
  • data.reels[0].comment_count: Number of comments
  • data.cursor: Pagination cursor — pass as cursor to get the next set of reels
  • data.has_more: Whether more reels are available